Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154452 - On logout from Gnome, system crashes with error in log gnome-vfs user invalid request number 8
Summary: On logout from Gnome, system crashes with error in log gnome-vfs user invalid...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-vfs2
Version: 2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-11 20:55 UTC by james968
Modified: 2008-08-02 23:40 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-09-01 15:04:27 UTC


Attachments (Terms of Use)

Description james968 2005-04-11 20:55:38 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050328 Fedora/1.7.6-1.2.5

Description of problem:
On 2 different Dell Optiplex GX240's.  Everything appears fine.  However on log out from GNOME.  The screen blanks and the system hangs.  (Unable to log in on virtual consoles or over the network, existing connections appear to die).

Increasing system logging to the debug level /var/log/messages, contains: 
Apr 11 14:13:22 vgcomp5 gconfd (james-3206): Resolved address "xml::/etc/gconf/g
conf.xml.defaults" to a partially writable config source at position 0
Apr 11 14:13:42 vgcomp5 fam[3218]: connect: Connection refused
Apr 11 14:18:48 vgcomp5 su(pam_unix)[4406]: session closed for user root
Apr 11 14:18:48 vgcomp5 fam[9477]: gnome-vfs user invalid request number 8
Apr 11 14:18:48 vgcomp5 fam[9477]: gnome-vfs user invalid request number 5
Apr 11 14:18:48 vgcomp5 fam[9477]: gnome-vfs user invalid request number 6
Apr 11 14:18:49 vgcomp5 fam[9477]: gnome-vfs user invalid request number 7
Apr 11 14:18:49 vgcomp5 fam[9477]: gnome-vfs user invalid request number 4
Apr 11 14:18:49 vgcomp5 gconfd (james-3206): Exiting
Apr 11 14:18:50 vgcomp5 bonobo-activation-server (james-3211): iid OAFIID:Broken
NoType:20000808 has a NULL type
Apr 11 14:18:50 vgcomp5 bonobo-activation-server (james-3211): invalid character
 '#' in iid 'OAFIID:This#!!%$iid%^$%_|~!OAFIID_ContainsBadChars'
Apr 11 14:18:51 vgcomp5 gdm(pam_unix)[3076]: session closed for user james
Apr 11 14:18:52 vgcomp5 fam[9477]: gnome-vfs user invalid request number 1
Apr 11 14:18:52 vgcomp5 fam[9477]: gnome-vfs user invalid request number 2
Apr 11 14:20:28 vgcomp5 syslogd 1.4.1: restart.
Apr 11 14:20:28 vgcomp5 syslog: syslogd startup succeeded
Apr 11 14:20:28 vgcomp5 kernel: klogd 1.4.1, log source = /proc/kmsg started.
Apr 11 14:20:28 vgcomp5 kernel: Linux version 2.6.10-1.771_FC2 (bhcompile@porky.

Since the errors are occuring with fam/gnome-vfs before and after the other errors, I've filed in under gnome-vfs.  It may belong under fam or bonobo.

Version-Release number of selected component (if applicable):
2.6.10-1.771_FC2, fam-2.6.10-9.FC2, gnome-vfs-1.0.5-18

How reproducible:
Always

Steps to Reproduce:
1. Log into gnome on Dell Optiplex GX240 (tried it on 2 different systems.  Both systems used the same stock OS HD).
2 Log out
  

Actual Results:  See description

Expected Results:  X should restart and drop you back into GDM

Additional info:

gnome-vfs-devel-1.0.5-18
gnome-vfs2-smb-2.6.0-8
gnome-vfs2-devel-2.6.0-8
gnome-vfs2-2.6.0-8
gnome-vfs-extras-0.2.0-8.1
gnome-vfs-1.0.5-18
fam-2.6.10-9.FC2
fam-devel-2.6.10-9.FC2
gnome-vfs-devel-1.0.5-18
gnome-vfs2-smb-2.6.0-8
gnome-vfs2-devel-2.6.0-8
gnome-vfs2-2.6.0-8
gnome-vfs-extras-0.2.0-8.1
gnome-vfs-1.0.5-18

Comment 1 james968 2005-04-11 20:56:45 UTC
Bonobo: 
libbonobo-devel-2.6.2-1
gnome-python2-bonobo-2.0.0-4.1
libbonoboui-devel-2.6.0-1
bonobo-devel-1.0.22-8.1
libbonobo-2.6.2-1
libbonoboui-2.6.0-1
bonobo-1.0.22-8.1


Comment 2 Matthew Miller 2005-04-26 15:51:03 UTC
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Comment 3 Alexander Larsson 2006-09-01 15:04:27 UTC
Old bug, haven't seen recently. Closing.



Note You need to log in before you can comment on or make changes to this bug.